GeoSymAttExpression.CompareExpression (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class GeoSymAttExpression.CompareExpression

    java.lang.Object
      com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression

All Implemented Interfaces:
  GeoSymAttExpression.Expression

Direct Known Subclasses:
  GeoSymAttExpression.ColumnExpression, GeoSymAttExpression.StringExpression, GeoSymAttExpression.ValueExpression

Enclosing class:
  GeoSymAttExpression

    public abstract static class GeoSymAttExpression.CompareExpression

extends java.lang.Object
implements GeoSymAttExpression.Expression

Field Summary
`protected int` | `colIndex`
`protected java.lang.String` | `colName`
`protected FeatureClassInfo` | `fci`
`protected int` | `op`

Constructor Summary
`protected` | `GeoSymAttExpression.CompareExpression(java.lang.String colName, int op)`

Method Summary
`protected void` | `setIndexes(FeatureClassInfo fci)`
`protected boolean` | `test(double val1, double val2, java.lang.StringBuffer buf)` The basic test for the operator, returning val1 op val2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.layer.vpf.GeoSymAttExpression.Expression
`evaluate, evaluate`

Field Detail

### op

    protected int op

### fci

    protected FeatureClassInfo fci

### colName

    protected java.lang.String colName

### colIndex

    protected int colIndex

Constructor Detail

### GeoSymAttExpression.CompareExpression

    protected GeoSymAttExpression.CompareExpression(java.lang.String colName,
                                                    int op)

Method Detail

### setIndexes

    protected void setIndexes(FeatureClassInfo fci)

### test

    protected boolean test(double val1,
                           double val2,
                           java.lang.StringBuffer buf)

  The basic test for the operator, returning val1 op val2.

  Parameters:
    `val1` -
    `val2` -
    `buf` -
  Returns:
    true of operation passes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details